Package com.independentsoft.email.mime

# Enum Class StandardHeader

java.lang.Object
java.lang.Enum<StandardHeader>
com.independentsoft.email.mime.StandardHeader

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardHeader>`, `Constable`

public enum StandardHeader extends Enum<StandardHeader>
Contains the standard message headers defined in RFC 2822.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BCC`
  Bcc header field.
  `CC`
  Cc header field.
  `COMMENTS`
  Comments header field.
  `CONTENT_DESCRIPTION`
  Content-Description header field.
  `CONTENT_DISPOSITION`
  Content-Disposition header field.
  `CONTENT_ID`
  Content-ID header field.
  `CONTENT_LENGTH`
  Content-Length header field.
  `CONTENT_LOCATION`
  Content-Location header field.
  `CONTENT_TRANSFER_ENCODING`
  Content-Transfer-Encoding header field.
  `CONTENT_TYPE`
  Content-Type header field.
  `DATE`
  Date header field.
  `FROM`
  From header field.
  `IN_REPLY_TO`
  In-Reply-To header field.
  `KEYWORDS`
  Keywords header field.
  `MESSAGE_ID`
  Message-ID header field.
  `MIME_VERSION`
  MIME-Version header field.
  `RECEIVED`
  Received header field.
  `REFERENCES`
  References header field.
  `REPLY_TO`
  Reply-To header field.
  `RESENT_BCC`
  Resent-Bcc header field.
  `RESENT_CC`
  Resent-Cc header field.
  `RESENT_DATE`
  Resent-Date header field.
  `RESENT_FROM`
  Resent-From header field.
  `RESENT_MESSAGE_ID`
  Resent-Msg-ID header field.
  `RESENT_SENDER`
  Resent-Sender header field.
  `RESENT_TO`
  Resent-To header field.
  `RETURN_PATH`
  Return-Path header field.
  `SENDER`
  Sender header field.
  `SUBJECT`
  Subject header field.
  `TO`
  To header field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StandardHeader`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StandardHeader[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESENT_DATE

    public static final StandardHeader RESENT_DATE
    Resent-Date header field.

  - ### RESENT_FROM

    public static final StandardHeader RESENT_FROM
    Resent-From header field.

  - ### RESENT_SENDER

    public static final StandardHeader RESENT_SENDER
    Resent-Sender header field.

  - ### RESENT_TO

    public static final StandardHeader RESENT_TO
    Resent-To header field.

  - ### RESENT_CC

    public static final StandardHeader RESENT_CC
    Resent-Cc header field.

  - ### RESENT_BCC

    public static final StandardHeader RESENT_BCC
    Resent-Bcc header field.

  - ### RESENT_MESSAGE_ID

    public static final StandardHeader RESENT_MESSAGE_ID
    Resent-Msg-ID header field.

  - ### FROM

    public static final StandardHeader FROM
    From header field.

  - ### SENDER

    public static final StandardHeader SENDER
    Sender header field.

  - ### REPLY_TO

    public static final StandardHeader REPLY_TO
    Reply-To header field.

  - ### TO

    public static final StandardHeader TO
    To header field.

  - ### CC

    public static final StandardHeader CC
    Cc header field.

  - ### BCC

    public static final StandardHeader BCC
    Bcc header field.

  - ### MESSAGE_ID

    public static final StandardHeader MESSAGE_ID
    Message-ID header field.

  - ### IN_REPLY_TO

    public static final StandardHeader IN_REPLY_TO
    In-Reply-To header field.

  - ### REFERENCES

    public static final StandardHeader REFERENCES
    References header field.

  - ### SUBJECT

    public static final StandardHeader SUBJECT
    Subject header field.

  - ### COMMENTS

    public static final StandardHeader COMMENTS
    Comments header field.

  - ### KEYWORDS

    public static final StandardHeader KEYWORDS
    Keywords header field.

  - ### DATE

    public static final StandardHeader DATE
    Date header field.

  - ### RETURN_PATH

    public static final StandardHeader RETURN_PATH
    Return-Path header field.

  - ### RECEIVED

    public static final StandardHeader RECEIVED
    Received header field.

  - ### MIME_VERSION

    public static final StandardHeader MIME_VERSION
    MIME-Version header field.

  - ### CONTENT_TYPE

    public static final StandardHeader CONTENT_TYPE
    Content-Type header field.

  - ### CONTENT_ID

    public static final StandardHeader CONTENT_ID
    Content-ID header field.

  - ### CONTENT_TRANSFER_ENCODING

    public static final StandardHeader CONTENT_TRANSFER_ENCODING
    Content-Transfer-Encoding header field.

  - ### CONTENT_DESCRIPTION

    public static final StandardHeader CONTENT_DESCRIPTION
    Content-Description header field.

  - ### CONTENT_DISPOSITION

    public static final StandardHeader CONTENT_DISPOSITION
    Content-Disposition header field.

  - ### CONTENT_LOCATION

    public static final StandardHeader CONTENT_LOCATION
    Content-Location header field.

  - ### CONTENT_LENGTH

    public static final StandardHeader CONTENT_LENGTH
    Content-Length header field.

- ## Method Details

  - ### values

    public static StandardHeader[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StandardHeader valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null